Summary:	phpMSAdmin is a capable replacment to "SQL Enterprise Manager"
Name:		phpmsadmin
Version:	0.18
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://phpmsadmin.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/phpmsadmin/%{name}-%{version}.tar.bz2
Source1:	phpmsadmin.png
Patch0:		phpmsadmin_0.16-mdv_conf.diff
Requires(pre):	apache-mod_php php-mssql
Requires:	apache-mod_php php-mssql unixODBC
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRequires:	ImageMagick
BuildRequires:	apache-base >= 2.0.54
Requires(post):	ccp >= 0.4.0
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This project is designed to be a capable replacment to "SQL Enterprise 
Manager", which requires Windows to run. With the use of phpMSAdmin, your
database can be managed from any computer capable of running a web browser
(open source or otherwise). 

%prep

%setup -q -n %{name}_%{version}
%patch0 -p1

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | grep -v "\.z" | xargs dos2unix -U

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export DONT_RELINK=1
 
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

rm -f %{buildroot}/var/www/%{name}/LICENSE.txt
rm -f %{buildroot}/var/www/%{name}/README.txt

# only ship html docs
rm -f %{buildroot}/var/www/%{name}/docs/*.doc
rm -f %{buildroot}/var/www/%{name}/docs/*.odt
rm -f %{buildroot}/var/www/%{name}/docs/*.pdf

# fix config file location
mv %{buildroot}/var/www/%{name}/inc/config.php %{buildroot}%{_sysconfdir}/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

# Uncomment the following lines to force a redirect to a working 
# SSL aware apache server. This serves as an example.
# 
#<IfModule mod_ssl.c>
#    <LocationMatch /%{name}>
#        Options FollowSymLinks
#        RewriteEngine on
#        RewriteCond %{SERVER_PORT} !^443$
#        RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
#    </LocationMatch>
#</IfModule>

EOF

# install script to call the web interface from the menu.
install -d %{buildroot}%{_libdir}/%{name}/scripts
cat > %{buildroot}%{_libdir}/%{name}/scripts/%{name} <<EOF
#!/bin/sh

url='https://localhost/%{name}'
if ! [ -z "\$BROWSER" ] && ( which \$BROWSER ); then
  browser=\`which \$BROWSER\`
elif [ -x /usr/bin/mozilla-firefox ]; then
  browser=/usr/bin/mozilla-firefox
elif [ -x /usr/bin/konqueror ]; then
  browser=/usr/bin/konqueror
elif [ -x /usr/bin/lynx ]; then
  browser='xterm -bg black -fg white -e lynx'
elif [ -x /usr/bin/links ]; then
  browser='xterm -bg black -fg white -e links'
else
  xmessage "No web browser found, install one or set the BROWSER environment variable!"
  exit 1
fi
\$browser \$url
EOF
chmod 755 %{buildroot}%{_libdir}/%{name}/scripts/%{name}

# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert %{SOURCE1} -resize 16x16  %{buildroot}%{_miconsdir}/%{name}.png
convert %{SOURCE1} -resize 32x32  %{buildroot}%{_iconsdir}/%{name}.png
convert %{SOURCE1} -resize 48x48  %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): needs=X11 \
section="More Applications/Databases" \
title="phpMSAdmin" \
longtitle="phpMSAdmin is a capable replacment to "SQL Enterprise Manager".  Set the $BROWSER environment variable to choose your preferred browser." \
command="%{_libdir}/%{name}/scripts/%{name} 1>/dev/null 2>/dev/null" \
icon="%{name}.png" \
xdg="true"
EOF

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=phpMSAdmin
Comment=phpMSAdmin is a capable replacment to "SQL Enterprise Manager"
Exec="%{_libdir}/%{name}/scripts/%{name} 1>/dev/null 2>/dev/null"
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Databases;
EOF

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.php --newfile %{_sysconfdir}/%{name}/config.php.rpmnew
%_post_webapp
%update_menus

%postun
%_postun_webapp
%clean_menus

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(0755,root,root) %{_sysconfdir}/%{name}
%attr(0640,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/config.php
/var/www/%{name}
%attr(0755,root,root) %{_libdir}/%{name}/scripts/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*

%changelog
* Mon Aug 21 2006 Oden Eriksson <oeriksson@mandriva.com> 0.18-1mdv2007.0
- deactivate the ssl redirection per default

* Tue Jul 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.17-1mdv2007.0
- 0.17 (Major feature enhancements)

* Tue Jul 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdv2007.0
- 0.16 (Major feature enhancements)
- rediffed P0
- fix non-xdg-migrated-menu

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.15-1mdv2007.0
- 0.15

* Tue Jun 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.14-1mdv2007.0
- 0.14

* Mon Jun 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdv2007.0
- 0.13

* Sun Jun 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdv2007.0
- 0.12
- rediffed P0
- fix deps

* Sun Jun 04 2006 Oden Eriksson <oeriksson@mandriva.com> 0.11-1mdv2007.0
- 0.11 (Major feature enhancements)

* Tue May 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdv2007.0
- fix the url

* Sat May 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2007.0
- initial Mandriva package
